none
Do I need Visual Studio 2017 to create SSIS 2017 packages? RRS feed

  • Question

  • Hi, We are being told by our Cloud Services Group we need to get our SSIS packages to SSIS 2017 and all of our packages are SSIS 2016 and lower now.   We use VS 2015 Enterprise Edition to create and modify SSIS packages now.  When I look inside one of our packages with notepad I see PackageFormatVersion = 8 and LastModified ProductVersion =13... .  When I get Properties on one of our packages now with VS 2015 I get the options SQL Server 2012, SQL Server 2014, and SQL Server 2016 for TargetServerVersion.  So do I need to get VS 2017 to be able to convert, create, and edit SSIS packages that are the SSIS 2017 version?
    Friday, November 15, 2019 11:09 PM

Answers

  • I have below version installed and I see target server version SQL 2017 in the drop down.

    Microsoft Visual Studio Enterprise 2015
    Version 14.0.25431.01 Update 3

    Please try to update existing VS2015 from Tools --> Extension and updates --> online  -- See here if it shows any update for VS. 

    Remember to take backup of packages before you upgrade.


    If the response helped, do "Mark as answer" or Upvote it
    - Vaibhav

    Saturday, November 16, 2019 4:40 AM

All replies

  • I have below version installed and I see target server version SQL 2017 in the drop down.

    Microsoft Visual Studio Enterprise 2015
    Version 14.0.25431.01 Update 3

    Please try to update existing VS2015 from Tools --> Extension and updates --> online  -- See here if it shows any update for VS. 

    Remember to take backup of packages before you upgrade.


    If the response helped, do "Mark as answer" or Upvote it
    - Vaibhav

    Saturday, November 16, 2019 4:40 AM
  • Hi flash7gordon,

    Just to complement already good Vaibhav's answer. All credit goes to Vaibhav.

    VS2015 with latest version of SSDT supports SQL Server and SSIS 2017. You just need to download the latest version of SSDT for VS2015.

    SSDT download link: Previous releases of SQL Server Data Tools (SSDT and SSDT-BI)

    Please see below.


    Sunday, November 17, 2019 3:32 PM
  • Hi,

    The following link will be helpful:

    How to change SSIS Package Version in Visual Studio 2015 or Higher?

    Best Regards,

    Mona


    MSDN Community Support
    Please remember to click "Mark as Answer" the responses that resolved your issue, and to click "Unmark as Answer" if not. This can be beneficial to other community members reading this thread. If you have any compliments or complaints to MSDN Support, feel free to contact MSDNFSF@microsoft.com

    Monday, November 18, 2019 3:20 AM